/* vim: set ts=2 sw=2 sts=2 et: */

$(function () {

  $(ajax.messages).bind(
    'productAdded',
    function(e, data) {

      $('.ui-dialog-content').dialog('close');

      var dialog = $(data.content).dialog({

        //dialogClass: "product-added",
        modal: true,
        title: data.title,
        width: 850,
        zIndex: 10000,
        draggable: false,
        resizable: false,
        //position: ["center", 150],
        position: ["center", "center"],

        dragStart: function (event, ui) {
          $('.product-added').css('opacity', '0.7');
        },

        dragStop: function (event, ui) {
          $('.product-added').css('opacity', '1.0');
        },

        open: function () {
          $(".product-added .view-cart");
          $(".product-added .bcse-continue-shopping").click(function () {
            dialog.dialog('close');
            return false;
          });
          $(".product-added .continue-shopping").click(function () {
            dialog.dialog('close');
            return false;
          });
          $(".product-added .proceed-to-checkout").click(function () {
            dialog.dialog('close');
          });
          //$('.ui-widget-overlay').click(function () {
          //  dialog.dialog('close');
          //});
        }

      });

      $('.ui-dialog a').blur();

      ajax.widgets.products();
    }
  );

});
